Subject: bug#64440: 30.0.50; [PATCH] Highlight on non toolkit menu bar items

From: Manuel Giraud <[email-masked]>
Date: Sat, 02 Sep 2023 15:09:59 +0200

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked], Manuel Giraud <[email-masked]>
>> Date: Sat, 02 Sep 2023 08:44:16 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Stefan Kangas <[email-masked]> writes:
>> 
>> >> Here is a new set of patches with two more on top of the previous ones
>> >> (ie. Number 1 and 2 should be the same as before).
>> >>
>> >> Number 3 sets the default mouse cursor to be an arrow on the default
>> >> menu bar area.  Number 4 fixes a flickering I had while moving the mouse
>> >> pointer *into* a menu bar entry.
>> >
>> > Po Lu, do you have any comments on this patch series?
>> >
>> > Thanks in advance.
>> 
>> Thanks.  I don't understand why adjustments to note_tab_bar_highlight or
>> note_tool_bar_highlight are warranted, and I think this ought to be
>> optional.
>> 
>> ChangeLog entries are also absent from the commit messages.
>
> I'd appreciate a walkthrough of the patches with explanations for the
> significant hunks.  It's a non-trivial change, so I think the
> rationale and the main ideas of the implementation should be described
> and discussed.

I'll try to come up with such a walkthrough.

> I also have difficulty understanding comments like this one:
>
>    /* Clear mouse face but the mouse cursor.  */
>
> What does it try to say?

Yes sorry it should read "Clear the mouse face but not the mouse cursor"
and it is a bit hacky.  It was to avoid the flicker of the mouse cursor
when moving *into* a menu entry.
-- 
Manuel Giraud